View Issue Details

IDProjectCategoryView StatusLast Update
0000085luatexfeature requestpublic2009-01-02 16:45
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.31.0Fixed in Version0.31.0 
Summary0000085: Allow access to the FF PfED table
DescriptionThis will allow the names of lookups and anchors etc. to persist from the FF gui to luatex
Additional InformationFrom GW:

OpenType does not contain space for anchor class names, so these names
will not be part of any standard opentype font, and depending on them is
risky.

FontForge will store the anchor class in a separate table if you ask it
to do so:
  File->Generate Fonts->Options->PfaEdit Table->Lookup Names
(this will store the names of all lookups, all lookup subtables and all
anchor classes).

The format of the 'PfEd' table and its subtables is described
  http://fontforge.sf.net/non-standard.html#PfEd
You want the GPOS subtable.
  http://fontforge.sf.net/non-standard.html#GPOS
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2008-08-30 10:17 Taco New Issue
2008-08-30 10:17 Taco Status new => assigned
2008-08-30 10:17 Taco Assigned To => Taco
2008-12-05 12:01 Taco Status assigned => resolved
2008-12-05 12:01 Taco Resolution open => fixed
2008-12-05 12:01 Taco Fixed in Version => 0.31.0
2008-12-05 12:01 Taco Additional Information Updated
2008-12-05 16:19 Taco Target Version subproject (> v 1) => 0.31.0
2009-01-02 16:45 Taco Status resolved => closed